diff --git a/src/test/modules/commit_ts/expected/commit_timestamp.out b/src/test/modules/commit_ts/expected/commit_timestamp.out
index e40e28c..99f3322 100644
--- a/src/test/modules/commit_ts/expected/commit_timestamp.out
+++ b/src/test/modules/commit_ts/expected/commit_timestamp.out
@@ -13,7 +13,7 @@ INSERT INTO committs_test DEFAULT VALUES;
 INSERT INTO committs_test DEFAULT VALUES;
 SELECT id,
        pg_xact_commit_timestamp(xmin) >= ts,
-       pg_xact_commit_timestamp(xmin) < now(),
+       pg_xact_commit_timestamp(xmin) <= now(),
        pg_xact_commit_timestamp(xmin) - ts < '60s' -- 60s should give a lot of reserve
 FROM committs_test
 ORDER BY id;
@@ -31,7 +31,7 @@ SELECT pg_xact_commit_timestamp('1'::xid);
 ERROR:  cannot retrieve commit timestamp for transaction 1
 SELECT pg_xact_commit_timestamp('2'::xid);
 ERROR:  cannot retrieve commit timestamp for transaction 2
-SELECT x.xid::text::bigint > 0, x.timestamp > '-infinity'::timestamptz, x.timestamp < now() FROM pg_last_committed_xact() x;
+SELECT x.xid::text::bigint > 0, x.timestamp > '-infinity'::timestamptz, x.timestamp <= now() FROM pg_last_committed_xact() x;
  ?column? | ?column? | ?column? 
 ----------+----------+----------
  t        | t        | t
diff --git a/src/test/modules/commit_ts/sql/commit_timestamp.sql b/src/test/modules/commit_ts/sql/commit_timestamp.sql
index 9beb78a..4e041a5 100644
--- a/src/test/modules/commit_ts/sql/commit_timestamp.sql
+++ b/src/test/modules/commit_ts/sql/commit_timestamp.sql
@@ -10,7 +10,7 @@ INSERT INTO committs_test DEFAULT VALUES;
 
 SELECT id,
        pg_xact_commit_timestamp(xmin) >= ts,
-       pg_xact_commit_timestamp(xmin) < now(),
+       pg_xact_commit_timestamp(xmin) <= now(),
        pg_xact_commit_timestamp(xmin) - ts < '60s' -- 60s should give a lot of reserve
 FROM committs_test
 ORDER BY id;
@@ -21,4 +21,4 @@ SELECT pg_xact_commit_timestamp('0'::xid);
 SELECT pg_xact_commit_timestamp('1'::xid);
 SELECT pg_xact_commit_timestamp('2'::xid);
 
-SELECT x.xid::text::bigint > 0, x.timestamp > '-infinity'::timestamptz, x.timestamp < now() FROM pg_last_committed_xact() x;
+SELECT x.xid::text::bigint > 0, x.timestamp > '-infinity'::timestamptz, x.timestamp <= now() FROM pg_last_committed_xact() x;
